%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_with check
%global debug_package %{nil}

%global crate goblin

Name:           rust-goblin0.6
Version:        0.6.1
Release:    2%{?dist}
Summary:        Impish, cross-platform, ELF, Mach-o, and PE binary parsing and loading crate

License:        MIT
URL:            https://crates.io/crates/goblin
Source0:         %{crates_source}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
An impish, cross-platform, ELF, Mach-o, and PE binary parsing and
loading crate.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alloc-devel %{_description}

This package contains library source intended for building other packages which
use the "alloc" feature of the "%{crate}" crate.

%files       -n %{name}+alloc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+archive-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+archive-devel %{_description}

This package contains library source intended for building other packages which
use the "archive" feature of the "%{crate}" crate.

%files       -n %{name}+archive-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+elf32-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+elf32-devel %{_description}

This package contains library source intended for building other packages which
use the "elf32" feature of the "%{crate}" crate.

%files       -n %{name}+elf32-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+elf64-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+elf64-devel %{_description}

This package contains library source intended for building other packages which
use the "elf64" feature of the "%{crate}" crate.

%files       -n %{name}+elf64-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+endian_fd-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+endian_fd-devel %{_description}

This package contains library source intended for building other packages which
use the "endian_fd" feature of the "%{crate}" crate.

%files       -n %{name}+endian_fd-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+log-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+log-devel %{_description}

This package contains library source intended for building other packages which
use the "log" feature of the "%{crate}" crate.

%files       -n %{name}+log-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+mach32-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+mach32-devel %{_description}

This package contains library source intended for building other packages which
use the "mach32" feature of the "%{crate}" crate.

%files       -n %{name}+mach32-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+mach64-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+mach64-devel %{_description}

This package contains library source intended for building other packages which
use the "mach64" feature of the "%{crate}" crate.

%files       -n %{name}+mach64-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+pe32-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+pe32-devel %{_description}

This package contains library source intended for building other packages which
use the "pe32" feature of the "%{crate}" crate.

%files       -n %{name}+pe32-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+pe64-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+pe64-devel %{_description}

This package contains library source intended for building other packages which
use the "pe64" feature of the "%{crate}" crate.

%files       -n %{name}+pe64-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Jun 13 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.6.1-2
- Rebuilt for loongarch64

* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.1-1
- initial build
